Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

drukarka brother DCP-L2600D

Zaczęty przez 122-AA, Lipiec 15, 2024, 12:49:37 PM

Poprzedni wątek - Następny wątek

linux4ever

#30
Cytat: Piotr_1988 w Lipiec 23, 2024, 04:32:08 PM
Cytat: linux4ever w Lipiec 23, 2024, 04:18:42 PMNapisałem prosty skrypt do instalacji sterowników i wrzuciłem tam wszystkie 32bitowe rpm.

https://anonymfile.com/DXqR6/install-drivers-brother.zip

Po 7 dniach link wygaśnie.

Zobaczę czy działa na opensuse.
Nawet po zezwoleniu na wszystkie szpiegujące JavaScripty na tej stronie, poległem przy próbie pobrania pliku--po kliknięciu na link otwierają się tylko kolejne zakładki z porno. Nie prościej wrzucić to na GitHuba?

Dobra wrzucę na githuba.

I gotowe: https://github.com/Gemtzen1/brother-installer
"Powiedz mi, a zapomnę, pokaż mi, a zapamiętam, pozwól mi zrobić, a zrozumiem. "-Konfucjusz

pavbaranov

Cytat: 122-AA w Lipiec 23, 2024, 12:59:12 PMHmm.widzę że robisz zamieszanie.
Raczej Ty.

Cytat: 122-AA w Lipiec 23, 2024, 12:59:12 PMJak byś zainstalował gunzip linux-brprinter-installer-*.*.*-*.gz rzecz jasna w tym przypadku oznaczenia 2.2.4-1
to byś wiedział ze ten skrypt instaluje tylko paczki debianowe!!!
Nie. Jakbyś zobaczył co tam jest, to byś wiedział, że instaluje albo *.deb, albo *.rpm w zależności od wykrytego w systemie menedżera paczek. Bladego pojęcia nie mam po co w OpenSUSE jest dpkg, ale mogę sobie wytłumaczyć dlaczego nie ma rpm (choć jest w repozytorium).
Proszę bardzo oto dowód:
bash linux-brprinter-installer-2.2.4-1 DCP-L2600D
You are going to install following packages.
   dcpl2600dpdrv-4.1.0-1.i386.rpm
   brscan5-1.3.5-0.x86_64.rpm
   brscan-skey-0.3.2-0.x86_64.rpm
OK? [y/N] ->
Instaluje *.rpm? Pobiera *.rpm? Czy nadal się będziesz upierać przy swoim?

Jeśli nie masz w systemie ani rpm, ani dpkg, skrypt stwierdza:
bash linux-brprinter-installer-2.2.4-1 DCP-L2600D
Rpm or dpkg is required.
Po doinstalowaniu rpm - skrypt nie będzie miał problemów.

Cytat: 122-AA w Lipiec 23, 2024, 12:59:12 PMDziękuje ci za pomoc STOP proszę więcej nie odpowiadać!
Dziękuję za poradę, ale nie Ty tu decydujesz kto ma odpowiadać. Niemniej jednak w istocie - ode mnie już żadnej nie uzyskasz. Może ktokolwiek inny będzie Ci chciał jeszcze pomagać. Jego sprawa.
Jeśli nie - w serwisie Brothera winni Ci odpłatnie, bądź nieodpłatnie pomóc.

PS: Przez kilkanaście lat miałem urządzenie Brothera.

Piotr_1988

Jak zobaczyłem 1.2 MB to się przeraziłem--ile linijek kodu musi mieć Twój skrypt! A zobaczyłem w skrypcie dwie:

#!/bin/bash

sudo zypper install dcpl2600dpdrv-4.1.0-1.i386.rpm brscan5-1.3.5-0.i386.rpm brscan-skey-0.3.2-0.i386.rpm brother-udev-rule-type1-1.0.2-0.noarch.rpm
+ wymienione pliki .rpm 😁 No, tak, najprostsze rozwiązania okazują się najlepsze...
Fedora Silverblue  |  Rocky Linux  |  NomadBSD

Zobacz najnowsze wiadomości na forum